Bug 1028935 - slaptest incorrectly handles 'include' directives containing a custom file
slaptest incorrectly handles 'include' directives containing a custom file
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: openldap (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jan Synacek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-11 04:36 EST by Jan Synacek
Modified: 2014-01-28 22:05 EST (History)
4 users (show)

See Also:
Fixed In Version: openldap-2.4.38-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-28 22:05:07 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Reproducer (524 bytes, application/x-sh)
2013-11-11 04:36 EST, Jan Synacek
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenLDAP ITS 7626 None None None Never

  None (edit)
Description Jan Synacek 2013-11-11 04:36:48 EST
Created attachment 822325 [details]
Reproducer

Description of problem:
slaptest ignores indirect includes.


Version-Release number of selected component (if applicable):
openldap-2.4.36-4.fc20


Steps to Reproduce:
1. Run the reproducer


Actual results:
Schemas that are indirectly included are ignored.


Expected results:
Schemas that are indirectly included are correctly added to new configuration.
Comment 1 Fedora Update System 2014-01-13 09:35:06 EST
openldap-2.4.38-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/openldap-2.4.38-1.fc20
Comment 2 Fedora Update System 2014-01-14 03:47:13 EST
Package openldap-2.4.38-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing openldap-2.4.38-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-0772/openldap-2.4.38-1.fc20
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2014-01-28 22:05:07 EST
openldap-2.4.38-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.